package cn.fw.morax.domain.db;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.morax.domain.db.salary.SalaryGroupProjectTargetHitLog;
import cn.fw.morax.domain.enums.SettingDraftTypeEnum;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 草稿
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName(autoResultMap = true)
public class SettingDraft extends BaseAuditableTimeEntity<SettingDraft, Long> {

    private static final long serialVersionUID = 1L;

    /**
     * 类型; 1:考评组 
     */
    private SettingDraftTypeEnum type;

    /**
     * 关联id
     */
    private Long unionId;

    /**
     * 内容【json】
     */
    private String content;

    /**
     * 逻辑删除
     */
    @TableLogic
    private Boolean yn;


}
