package cn.fw.morax.domain.db.eval;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.common.data.mybatis.handler.LongListTypeHandler;
import cn.fw.common.data.mybatis.handler.StringListTypeHandler;
import cn.fw.morax.domain.enums.EvalTypeEnum;
import cn.fw.morax.domain.enums.SettingStatusEnum;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * <p>
 * 考评组
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName(autoResultMap = true)
public class Eval extends BaseAuditableTimeEntity<Eval, Long> {

    private static final long serialVersionUID = 1L;


    /**
     * 考评，活动名称
     */
    private String name;

    /**
     * 考评类型; 1:活动考评 2:其他考评
     */
    private EvalTypeEnum type;

    /**
     * 状态;1:审批中 2:审批拒绝 3:生效中 4:草稿 
     */
    private SettingStatusEnum status;

    /**
     * 集团id
     */
    private Long groupId;

    /**
     * 逻辑删除
     */
    @TableLogic
    private Boolean yn;


}
