package cn.fw.morax.domain.db.eval;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 绩效组指标项
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName(autoResultMap = true)
public class EvalGroupIndicator extends BaseAuditableTimeEntity<EvalGroupIndicator, Long> {

    private static final long serialVersionUID = 1L;

    /**
     * 考评组配置id
     */
    private Long evalGroupId;

    /**
     * 指标名称
     */
    private String name;

    /**
     * 基础绩效分
     */
    private Integer baseScore;

    /**
     * 得分方式;1: 阶梯得分 2:普通得分
     */
    private Integer scoreWay;

    /**
     * 考评项别名
     */
    private String paramAlias;

    /**
     * 前置考评项别名（目前预留）
     */
    private String preconditionAlias;

    /**
     * 逻辑删除
     */
    @TableLogic
    private Boolean yn;



}
