package cn.fw.morax.domain.db.eval;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * <p>
 * 考评奖惩条件记录
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName(autoResultMap = true)
public class EvalGroupRewardPreconditionHitLog extends BaseAuditableTimeEntity<EvalGroupRewardPreconditionHitLog, Long> {

    private static final long serialVersionUID = 1L;

    /**
     * 考评组配置id
     */
    private Long evalGroupId;

    /**
     * 考评组奖惩id
     */
    private Long evalGroupRewardId;

    /**
     * 考评组奖惩条件id
     */
    private Long preconditionId;

    /**
     * 原始值
     */
    private BigDecimal value;

    /**
     * 达成目标
     */
    private BigDecimal reachValue;

    /**
     * 数据日期
     */
    private LocalDate dataDate;

    /**
     * 集团id
     */
    private Long groupId;

    @TableLogic
    private Boolean yn;


}
