package cn.fw.morax.domain.db.eval;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 考评指标明细
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName(autoResultMap = true)
public class EvalPoolIndicatorDetail extends BaseAuditableTimeEntity<EvalPoolIndicatorDetail, Long> {

    private static final long serialVersionUID = 1L;

    /**
     * 考评池id
     */
    private Long evalPoolId;

    /**
     * 考评项id
     */
    private Long evalGroupIndicatorId;

    /**
     * 指标名称
     */
    private String name;

    /**
     * 基础绩效分
     */
    private Integer baseScore;

    /**
     * 考评得分
     */
    private BigDecimal score;

    /**
     * 考评得分率
     */
    private BigDecimal scoreRatio;

    /**
     * 月度
     */
    private String monthly;

    /**
     * 集团id
     */
    private Long groupId;

    /**
     * 逻辑删除
     */
    @TableLogic
    private Boolean yn;

}
