package cn.fw.morax.domain.db.kpi;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.morax.domain.enums.ScoreWayEnum;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 绩效组指标项
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(autoResultMap = true)
public class KpiGroupIndicator extends BaseAuditableTimeEntity<KpiGroupIndicator, Long> {
    /**
     * 绩效组配置id
     */
    private Long kpiGroupId;
    /**
     * 指标库名称
     */
    private String name;

    /**
     * 参数别名
     */
    private String paramAlias;
    /**
     * 基础绩效分
     */
    private Integer baseScore;
    /**
     * 得分方式;1: 阶梯得分 2:普通得分
     */
    private ScoreWayEnum scoreWay;
    /**
     * 逻辑删除
     */
    @TableLogic
    private Boolean yn;

}