package cn.fw.morax.domain.db.kpi;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

/**
 * <p>
 * 绩效组指标条件得分阶梯
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-05
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName(autoResultMap = true)
public class KpiGroupIndicatorPreconditionLadders extends BaseAuditableTimeEntity<KpiGroupIndicatorPreconditionLadders, Long> {

    private static final long serialVersionUID = 1L;

    /**
     * 绩效组指标条件id
     */
    private Long preconditionId;

    /**
     * 阶梯下限;大于等于
     */
    private BigDecimal lower;

    /**
     * 阶梯上限;小于; 无上限的情况值为 2<<15
     */
    private BigDecimal upper;

    /**
     * 得分百分比
     */
    private BigDecimal scorePercent;

    /**
     * 逻辑删除
     */
    @TableLogic
    private Boolean yn;

}
