package cn.fw.morax.domain.dto.kpi;

import cn.fw.morax.domain.enums.ScoreWayEnum;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 绩效组指标项
 */
@Data
public class KpiGroupIndicatorDTO {

    /**
     * 指标库名称
     */
    @NotBlank(message = "指标名称不能为空")
    @Length(max = 255, message = "指标名称超出最大长度限制")
    private String name;

    /**
     * 指标库名称
     */
    @NotBlank(message = "指标名称不能为空")
    @Length(max = 255, message = "指标名称超出最大长度限制")
    private String paramAlias;

    /**
     * 基础绩效分
     */
    @NotNull(message = "基础绩效分不能为空")
    private Integer baseScore;

    /**
     * 得分方式;1: 阶梯得分 2:普通得分
     */
    @NotNull(message = "得分方式不能为空")
    private ScoreWayEnum scoreWay;

    /**
     * 台阶参数
     */
    @Valid
    private List<KpiGroupIndicatorParamDTO> ladderParams;

    /**
     * 提成参数（非台阶使用）
     */
//    @NotNull(message = "提成参数不能为空")
//    @Size(min = 1, message = "提成参数不能为空")
    @Valid
    private List<KpiGroupIndicatorParamDTO> commissionParams;

    /**
     * 前置条件配置
     */
    @Valid
    private List<KpiGroupIndicatorPreconditionDTO> conds;


    /**
     * 得分阶梯
     */
    @Valid
    private List<KpiGroupIndicatorLaddersDTO> indicatorLadders;

}