package cn.fw.morax.domain.enums;

import com.baomidou.mybatisplus.core.enums.IEnum;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;

/**
 * 月天类型
 *
 * @author kurisu
 */
public enum MonthDayTypeEnum implements IEnum<Integer> {
    /**
     * 滚动日类型；1.当月第几天 2. 当月倒数第几天
     */
    POSITIVE(1, "当月第几天"),
    COUNTDOWN(2, "当月倒数第几天"),
    ;

    /**
     * 值
     */
    private final Integer value;
    /**
     * 名称
     */
    @Getter
    private final String name;

    MonthDayTypeEnum(final Integer value, final String name) {
        this.value = value;
        this.name = name;
    }

    /**
     * 根据枚举值获取枚举对象
     */
    @JsonCreator
    public static MonthDayTypeEnum ofValue(final Integer value) {
        for (final MonthDayTypeEnum _enum : MonthDayTypeEnum.values()) {
            if (_enum.value.equals(value)) {
                return _enum;
            }
        }
        return null;
    }

    /**
     * 获取值
     *
     * @return 值
     */
    @JsonValue
    @Override
    public Integer getValue() {
        return value;
    }

    /**
     * 获取描述
     *
     * @return 值
     */
    @JsonCreator
    public static String getNameByVale(final Integer value) {
        for (final MonthDayTypeEnum _enum : MonthDayTypeEnum.values()) {
            if (_enum.value.equals(value)) {
                return _enum.getName();
            }
        }
        return "";
    }
}
