package cn.fw.morax.domain.vo.eval;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.morax.common.constant.Constant;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * <p>
 * 考评组指标条件得分阶梯
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class EvalGroupIndicatorPreconditionLaddersVO {

    /**
     * id
     */
    private Long id;
    /**
     * 考评组指标条件id
     */
    private Long preconditionId;

    /**
     * 阶梯下限;大于等于
     */
    private BigDecimal lower;

    /**
     * 阶梯上限;小于; 无上限的情况值为 2<<15
     */
    private BigDecimal upper;

    /**
     * 得分百分比
     */
    private BigDecimal scorePercent;

    /**
     * 逻辑删除
     */
    @TableLogic
    private Boolean yn;

    /**
     * 转换为百分数展示
     */
    public void convertToPercent(){
        this.setUpper(this.getUpper().multiply(Constant.ONE_HUNDRED));
        this.setLower(this.getLower().multiply(Constant.ONE_HUNDRED));
    }

}
