package cn.fw.morax.domain.vo.eval;

import cn.fw.morax.domain.enums.IndicatorCodeTypeEnum;
import cn.fw.morax.domain.enums.TargetCalcTypeEnum;
import cn.fw.morax.domain.enums.TargetTypeEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * 考评组指标条件
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class EvalGroupIndicatorPreconditionVO {

    /**
     * id
     */
    private Long id;
    /**
     * 考评组配置id
     */
    private Long evalGroupId;

    /**
     * 考评组指标id
     */
    private Long evalGroupIndicatorId;

    /**
     * 指标类型（1.指标，2，考评指标）
     */
    private IndicatorCodeTypeEnum codeType;

    /**
     * 指标编码
     */
    private String code;

    /**
     * 指标库名称
     */
    private String name;

    /**
     * 目标计算类型;1: 目标值计算 2:最低要求计算
     */
    private TargetCalcTypeEnum targetCalcType;

    /**
     * 绩效目标值类型; 1:无 2:百分比 3:金额 4:台数
     */
    private TargetTypeEnum targetType;

    /**
     * 目标值
     */
    private BigDecimal targetValue;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 条件阶梯
     */
    private List<EvalGroupIndicatorPreconditionLaddersVO> ladders;

}
