package cn.fw.morax.domain.vo.eval;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.morax.domain.dto.eval.EvalGroupIndicatorLaddersDTO;
import cn.fw.morax.domain.dto.eval.EvalGroupIndicatorParamDTO;
import cn.fw.morax.domain.dto.eval.EvalGroupIndicatorPreconditionDTO;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.Valid;
import java.util.List;

/**
 * <p>
 * 绩效组指标项
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName(autoResultMap = true)
public class EvalGroupIndicatorVO {

    /**
     * id
     */
    private Long id;
    /**
     * 考评组配置id
     */
    private Long evalGroupId;

    /**
     * 指标名称
     */
    private String name;

    /**
     * 基础绩效分
     */
    private Integer baseScore;

    /**
     * 得分方式;1: 阶梯得分 2:普通得分
     */
    private Integer scoreWay;

    /**
     * 考评项别名
     */
    private String paramAlias;

    /**
     * 前置考评项别名（目前预留）
     */
    private String preconditionAlias;

    /**
     * 提成参数
     */
    private List<EvalGroupIndicatorParamVO> commissionParams;

    /**
     * 台阶参数
     */
    private List<EvalGroupIndicatorParamVO> ladderParams;

    /**
     * 条件
     */
    private List<EvalGroupIndicatorPreconditionVO> conds;

    /**
     * 指标阶梯
     */
    private List<EvalGroupIndicatorLaddersVO> ladders;

    /**
     * 目标
     */
    private List<EvalGroupIndicatorTargetVO> targets;
}
