package cn.fw.morax.domain.vo.eval;

import cn.fw.morax.domain.enums.ConditionTypeEnum;
import cn.fw.morax.domain.enums.IndicatorCodeTypeEnum;
import cn.fw.morax.domain.enums.TargetCalcTypeEnum;
import cn.fw.morax.domain.enums.TargetTypeEnum;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * <p>
 * 考评奖惩前置条件
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName(autoResultMap = true)
public class EvalGroupRewardPreconditionVO{

    /**
     * id
     */
    private Long id;
    /**
     * 考评组id
     */
    private Long evalGroupId;

    /**
     * 考评奖惩id
     */
    private Long evalGroupRewardId;

    /**
     * 条件值类型; 1:满足目标 2:满足排名率 3:金额
     */
    private ConditionTypeEnum condType;

    /**
     * 编码类型（1. 指标，2.考评指标）
     */
    private IndicatorCodeTypeEnum codeType;

    /**
     * 项目编码
     */
    private String code;

    /**
     * 项目名称
     */
    private String name;

    /**
     * 目标计算类型;1: 目标值计算 2:最低要求计算
     */
    private TargetCalcTypeEnum targetCalcType;

    /**
     * 绩效目标值类型; 1:无 2:百分比 3:金额 4:台数
     */
    private TargetTypeEnum targetType;

    /**
     * 目标值
     */
    private BigDecimal targetValue;

    /**
     * 条件值
     */
    private BigDecimal condValue;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 逻辑删除
     */
    @TableLogic
    private Boolean yn;


}
