package cn.fw.morax.domain.vo.eval;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.morax.domain.db.kpi.KpiGroupIndicator;
import cn.fw.morax.domain.enums.EvalRuleTypeEnum;
import cn.fw.morax.domain.enums.MonthDayTypeEnum;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDate;

/**
 * <p>
 * 考评指标
 * </p>
 *
 * @author jiangchao
 * @since 2022-11-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class EvalIndicatorVO {

    /**
     * 归属系统id
     */
    private Long sysId;

    /**
     * 归属系统前缀
     */
    private String sysPrefix;

    /**
     * 归属系统名称
     */
    private String sysName;

    /**
     * 导入操作人员角色码
     */
    private String roleCode;

    /**
     * 导入操作人员角色名称
     */
    private String roleName;

    /**
     * 频率类型; 1:按滚动天 2:按星期 3:按月指定日期 4：按滚动月
     */
    private EvalRuleTypeEnum ruleType;

    /**
     * 频率值 ,号分隔（按星期、按月指定日期使用）
     */
    private String ruleValue;

    /**
     * 滚动月数
     */
    private Integer rollMonths;

    /**
     * 开始日期
     */
    private LocalDate startTime;

    /**
     * 月天; 1:月第几天 2:月倒数第几天
     */
    private MonthDayTypeEnum monthDayType;

    /**
     * 月天数
     */
    private Integer monthDay;

    /**
     * 考评指标编码
     */
    private String code;

    /**
     * 考评指标名称
     */
    private String name;

    /**
     * 目标值类型; 1:无 2:百分比 3:金额 4:台数
     */
    private Integer targetType;

    /**
     * 启用/禁用;0:禁用 1:启用
     */
    private Boolean enable;

    /**
     * 逻辑删除
     */
    private Boolean yn;


}
